#!/usr/bin/env python3

import os

roles = []
excluded = ['common-suse', 'minion']

def get():
    for root in ['pillar', 'salt']:
        for rootdir, subdirs, files in os.walk(os.path.join(root, 'role')):
            for file in files:
                role = os.path.splitext(file)[0]
                if not role in excluded and not role in roles:
                    roles.append(role)
    return roles

if __name__ == '__main__':
    print(get())
