{%- set id = salt['grains.get']('id') -%}
{%- set roles = salt['nbroles.get'](id) -%}

{{ saltenv }}:
  '*':
    - common
  '{{ id }}':
    - ignore_missing: True
    - id.{{ id.replace('.', '_') }}
  {% for role in roles %}
    - role.{{ role }}
  {%- endfor %}
